package net.ihe.gazelle.goctests.interlay;

import net.ihe.gazelle.goctests.application.exceptions.ValidatorGenerationException;
import net.ihe.gazelle.goctests.application.models.GeneratedValidator;
import net.ihe.gazelle.goctests.application.ValidatorGenerator;
import org.junit.Ignore;
import org.junit.Test;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;

public class ValidatorGeneratorTest {

    /**
     * This is made as utility for local tests, to be ignore at package time
     * due to performance issues
     */
    @Ignore
    @Test
    public void generateValidatorTest(){

        ValidatorGenerator validatorGenerator = new ValidatorGeneratorImpl();
        String bbr = "[YOUR BBR PATH]";
        String output = "[YOUR CDA PATH]";
        String mvn = "[YOUR MVN PATH]";
        try {
            GeneratedValidator validator = validatorGenerator.generateValidator(new URL(bbr),output,mvn);
            org.junit.Assert.assertTrue(validator.getValidatorBinaryPath() != null);
            System.out.println(validator);
        } catch (ValidatorGenerationException | MalformedURLException e) {
            e.printStackTrace();
        }
    }
}