package net.ihe.gazelle.tempgen.attrs.analyzer;


/**
 * 
 * @author Abderrazek Boufahja
 *
 */
public enum AttrAnalyzerEnum {
	
	ATTR_PROCESS("ATTR_PROCESS"),
	ATTR_ROOT_PROCESS("ATTR_ROOT_PROCESS"),
	ATTR_UNIT_PROCESS("ATTR_UNIT_PROCESS"),
	ATTR_EXTENSION_PROCESS("ATTR_EXTENSION_PROCESS"),
	ATTR_VALUE_PROCESS("ATTR_VALUE_PROCESS"),
	ATTR_CLASSCODE_PROCESS("ATTR_CLASSCODE_PROCESS"),
	ATTR_CONTEXTCONDUCTIONIND_PROCESS("ATTR_ContextConductionInd_PROCESS"),
	ATTR_CONTEXTCONTROLCODE_PROCESS("ATTR_contextControlCode_PROCESS"),
	ATTR_DETERMINERCODE_PROCESS("ATTR_determinerCode_PROCESS"),
	ATTR_INDEPENDENTIND_PROCESS("ATTR_IndependentInd_PROCESS"),
	ATTR_INSTRITUTION_SPECIFIED_PROCESS("ATTR_InstitutionSpecified_PROCESS"),
	ATTR_INVERSION_IND_PROCESS("ATTR_InversionInd_PROCESS"),
	ATTR_MEDIA_TYPE_PROCESS("ATTR_MediaType_PROCESS"),
	ATTR_MOODCODE_PROCESS("ATTR_MOODCODE_PROCESS"),
	ATTR_NEGATION_IND_PROCESS("ATTR_NegationInd_PROCESS"), 
	ATTR_NULLFLAVOR_PROCESS("ATTR_NullFlavor_PROCESS"),
	ATTR_OPERATOR_PROCESS("ATTR_Operator_PROCESS"),
	ATTR_QUALIFIER_PROCESS("ATTR_Qualifier_PROCESS"),
	ATTR_REPRESENTATION_PROCESS("ATTR_representation_PROCESS"), 
	ATTR_TYPE_CODE_PROCESS("ATTR_TypeCode_PROCESS"),
	ATTR_USE_PROCESS("ATTR_USE_PROCESS"),
	ATTR_PROHIBITED_PROCESS("ATTR_PROHIBITED_PROCESS"),
	ATTR_DT_PROCESS("ATTR_DT_PROCESS"), 
	ATTR_OPT_PROCESS("ATTR_OPT_PROCESS"),
	ATTR_VOCAB_PROCESS("ATTR_VOCAB_PROCESS"),
	ATTR_CONS_PROCESS("ATTR_CONS_PROCESS"),
	ATTR_MULTI_PROCESS("ATTR_MULTI_PROCESS");
	
	private String value;

	private AttrAnalyzerEnum(String value) {
		this.value = value;
	}
	public String getValue() {
		return value;
	}

}
